# ORB_Table.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/orbconf.h"`
`#include "tao/CORBA_String.h"`
`#include "ace/Array_Map.h"`
`#include "ace/Thread_Mutex.h"`
`#include "tao/ORB_Table.inl"`

Include dependency graph for ORB_Table.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Classes

class | TAO::ORB_Table
| Keep a table with all the ORBs in the system. More...
class | TAO::ORB_Core_Ref_Counter

## Detailed Description

Id
  ORB_Table.h,v 1.21 2006/02/22 06:04:00 frehberger Exp

Author:
  Ossama Othman

  Carlos O'Ryan